Bug 506509 - config deploy action ise's on UI
config deploy action ise's on UI
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
520
All Linux
low Severity medium
: ---
: ---
Assigned To: Partha Aji
Brad Buckingham
:
Depends On:
Blocks: 244895 456985
  Show dependency treegraph
 
Reported: 2009-06-17 11:22 EDT by Pradeep Kilambi
Modified: 2009-09-10 16:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:38:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2009-06-17 11:22:34 EDT
Description of problem:

If config.deploy capability is disabled and if you try to deploy a config file the webUI causes an ISE instead of Letteing the user know nicely that the capability needs to be enabled.

Here is the traceback.

Caused by: 
com.redhat.rhn.manager.MissingCapabilityException: Missing Client Capability -> configfiles.deploy for the server [com.redhat.rhn.domain.server.Server@68c668c6[id=1000010000,org=com.redhat.rhn.domain.org.OrgImpl@44f444f4[id=1,name=Miroslav Suchy],name=xen69.englab.brq.redhat.com,description=Initial Registration Parameters:
OS: redhat-release
Release: 5Server
CPU Arch: x86_64-redhat-linux]]. The server will be unable to deploy config files until this capability is provided.
	at com.redhat.rhn.manager.action.ActionManager.createConfigActionForServers(ActionManager.java:402)
	at com.redhat.rhn.manager.action.ActionManager.createConfigAction(ActionManager.java:441)
	at com.redhat.rhn.frontend.action.configuration.files.GlobalRevisionDeployConfirmSubmit.scheduleDeploy(GlobalRevisionDeployConfirmSubmit.java:109)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
	at java.lang.reflect.Method.invoke(Method.java:599)
	at org.apache.struts.actions.DispatchAction.dispatchMethod(DispatchAction.java:270)
	at org.apache.struts.actions.DispatchAction.execute(DispatchAction.java:187)
	at org.apache.struts.actions.LookupDispatchAction.execute(LookupDispatchAction.java:150)
	at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:431)
	... 40 more
2009-06-17 14:49:35,203 [TP-Processor5] ERROR org.apache.catalina.core.ContainerBase.[Catalina].[localhost].[/rhn].[action] - Servlet.service() for servlet action threw exception
com.redhat.rhn.manager.MissingCapabilityException: Missing Client Capability -> configfiles.deploy for the server [com.redhat.rhn.domain.server.Server@68c668c6[id=1000010000,org=com.redhat.rhn.domain.org.OrgImpl@44f444f4[id=1,name=Miroslav Suchy],name=xen69.englab.brq.redhat.com,description=Initial Registration Parameters:
OS: redhat-release
Release: 5Server
CPU Arch: x86_64-redhat-linux]]. The server will be unable to deploy config files until this capability is provided.
	at com.redhat.rhn.manager.action.ActionManager.createConfigActionForServers(ActionManager.java:402)
	at com.redhat.rhn.manager.action.ActionManager.createConfigAction(ActionManager.java:441)
	at com.redhat.rhn.frontend.action.configuration.files.GlobalRevisionDeployConfirmSubmit.scheduleDeploy(GlobalRevisionDeployConfirmSubmit.java:109)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
	at java.lang.reflect.Method.invoke(Method.java:599)
	at org.apache.struts.actions.DispatchAction.dispatchMethod(DispatchAction.java:270)
	at org.apache.struts.actions.DispatchAction.execute(DispatchAction.java:187)
	at org.apache.struts.actions.LookupDispatchAction.execute(LookupDispatchAction.java:150)
	at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:431)
	at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:237)
	at com.redhat.rhn.frontend.struts.RhnRequestProcessor.process(RhnRequestProcessor.java:82)
	at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)
	at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:710)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:803)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:269)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.AuthFilter.doFilter(AuthFilter.java:73)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.opensymphony.module.sitemesh.filter.PageFilter.parsePage(PageFilter.java:142)
	at com.opensymphony.module.sitemesh.filter.PageFilter.doFilter(PageFilter.java:58)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.LocalizedEnvironmentFilter.doFilter(LocalizedEnvironmentFilter.java:67)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.EnvironmentFilter.doFilter(EnvironmentFilter.java:108)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.SessionFilter.doFilter(SessionFilter.java:55)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at com.redhat.rhn.frontend.servlets.SetCharacterEncodingFilter.doFilter(SetCharacterEncodingFilter.java:97)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:215)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:188)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:210)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:172)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:108)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:151)
	at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:200)
	at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:283)
	at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:773)
	at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:703)
	at org.apache.jk.common.ChannelSocket$SocketConnection.runIt(ChannelSocket.java:895)
	at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:685)
	at java.lang.Thread.run(Thread.java:735)
2009-06-17 14:49:37,012 [RHN Message Dispatcher] ERROR com.redhat.rhn.common.messaging.ActionExecutor - java.lang.NullPointerException


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jan Hutař 2009-06-18 01:22:32 EDT
This happens even when I have config deploy enabled using `rhn-actions-control --enable-deploy` and I have seen this on both 520 and 530.
Comment 2 Partha Aji 2009-06-18 12:00:15 EDT
Should be fixed as of http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=db7357ccc2ceda0624b3d958f600aa596ee0acd5 and http://git.fedorahosted.org/git/?p=spacewalk.git;a=commit;h=98adf5a41800a1f1152d99872c7b5a73261fb7dc

1) Added a global exception forward in the case of MissingCapabilities so user can see useful message in the UI instead of just an ISE. 

2) Changed 3 queries to show the check box for non config enabled systems to be properly disabled.

Tested for 2 cases
Case 1:
1) Have a system that is not config enabled.
2) Give it provisioning.
3) Click on Configuration and create a local config file in the SDC and copy it to system channel. 
4) Click on the file and goto deploy file
You should now see a message saying system is not config enabled

Case 2:
1) Create a  global config channel and create some files in it.
2) Subscribe the config channel to a System that has provisioning but not the config client capability.
3) Click on Configuration-> Configuration Files -> file and deploy file. 
You should see the systems that are not config capable disabled. So you should NOT be able to schedule a deploy them. A note should appear in the bottom pointing out how to deploy them.
Comment 3 Partha Aji 2009-06-24 11:34:11 EDT
Moving to ON_QA
Comment 4 Brad Buckingham 2009-06-30 10:10:49 EDT
Satellite-5.3.0-RHEL5-re20090625.0-i386-embedded-oracle.iso


Verified test case 1 & 2 from Comment #2.  Also, verified that still able to deploy a configuration file from config channel to a system that has config enabled properly.
Comment 5 Milan Zázrivec 2009-08-25 09:12:09 EDT
Verified in stage with the same results as stated in previous comment ->
RELEASE_PENDING
Comment 6 Brandon Perkins 2009-09-10 16:38:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.